//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef CONTENT_H
#define CONTENT_H

//========================================================================================
#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----
#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

//========================================================================================
class CTalkerPart;
class DevUniv_STalker;

//========================================================================================
class CTalkerContent : public FW_CContent {
public:
	FW_DECLARE_AUTO(CTalkerContent)
						CTalkerContent(Environment* ev, CTalkerPart* part);
	virtual 			~CTalkerContent();
// overrides
protected:
	virtual void		Externalize(Environment* ev,
									 ODStorageUnit* storageUnit,
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	Internalize(Environment* ev,
									 ODStorageUnit* storageUnit, 
									 FW_EStorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);
//	New members
public:
	virtual void 				MySayText(Environment* ev);
	virtual DevUniv_STalker*	MyGetTalker();
protected:
	FW_Boolean			MyInternalizePartKind(Environment* ev, ODStorageUnit* sourceSU);
	FW_Boolean 			MyInternalizeTextData(Environment* ev, ODStorageUnit* sourceSU);
private:
	ODPtr 				fTextBuffer;		// text to be spoken
	ODULong				fTextBytes;			// number of bytes to speak
	CTalkerPart*		fTalkerPart;
	DevUniv_STalker*	fSOMTalker;			// SOM object for speech synthesis
};

//========================================================================================
#endif